package com.boot.security.server.dao;

import com.boot.security.server.model.BaseSettlement;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

import java.util.List;

@Mapper
public interface CopyrightDao {
    List<BaseSettlement>  selectTableListMonth(List<BaseSettlement> copyrightIdList);

    List<BaseSettlement> selectCopyrightAll();

    BaseSettlement selectUnSettlementCount(@Param("copyrightId") Integer copyrightId);

    @Update("update settlement_status set status=#{status},status_name=#{statusName} where report_time=#{reportTime} and copyright_id=#{copyrightId}")
    int updateSettlementStatus(@Param("copyrightId") Integer copyrightId,@Param("report_time") String reportTime,@Param("status") Integer status,@Param("statusName") String statusName);
}
